Skip to main content
PUT
/
v1
/
persons
/
{personId}
/
ipSetting
Update instant pay setting
curl --request PUT \
  --url https://api.cadanapay.com/v1/persons/{personId}/ipSetting \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "accessPercentage": 50
}
'
{
  "code": "invalid_request_body",
  "message": "The request body provided is not valid",
  "params": {
    "field": "Value is invalid."
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

personId
string<uuid>
required

The unique identifier for the person

Body

application/json

Update person instant pay settings payload

accessPercentage
number
Example:

50

Response

Successful operation